﻿<script type="text/ng-template" id="JbPTitlePack.html">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>
    <div class="clearfix" dnd-nodrag ng-style="{'background-color': element.SectiontBackgroundColor,'padding':'10px'}">
        <h3 class="title" ng-bind="element.Title"></h3>
        <h4 class="subtitle" ng-bind="element.Subtitle"></h4>
        <div class="paragraph" compile="element.Paragraph"></div>
    </div>
</script>

<script type="text/ng-template" id="JbPDivider.html">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>

    <div class="clearfix" dnd-nodrag>
        <div ng-if="element.DividerHeight > 0" ng-style="{'position': 'relative', 'height': element.DividerHeight}"></div>
        <hr ng-if="element.LineThickness > 0" ng-style="{'height': element.LineThickness,'background-color': element.LineColor}" />
    </div>

</script>

<script type="text/ng-template" id="JbPVideo.html">

    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>


    <div ng-if="element.ChoiceVideoType">
        <video width="100%" ng-attr-poster="{{element.CoverVideo}}" controls="controls" class="home-site-video"><source src="{{ element.UrlVideo |trustUrl }}" type="video/mp4">Your browser does not support HTML5 video.</video>
    </div>
    <div ng-if="!element.ChoiceVideoType">
        <youtube-help video="{{element.YouTubeID}}" header="Url Description">

        </youtube-help>
    </div>

</script>

<script type="text/ng-template" id="JbPBeforeAfterCareRegLinks.html">

    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>

    <div style="max-width:1024px;margin:10px auto;">

        <div class="clearfix  wrapper-panels" id="beforeAfterPanels" dnd-nodrag ng-if="element.IsBeforeAfter">
            <div ng-bind-html="element.Description" class="clung-panel__description">

            </div>
            <div class="before-after-container">
                <div class="clung-panel col-md-4" style="padding-right:0;padding-left:0;float: initial; display: inline-block; display: flex; flex-direction: column; justify-content: space-between;" ng-style="{'background-color': element.ColorSetting.HeaderBackgroundColor}" ng-repeat="Schedule in element.Schedules">
                    <header class="clung-panel__header" >
                        <div style="width:100%">
                            <div class="clung-panel__title" ng-style="{'color': element.ColorSetting.TitleColor,'font-size':element.TitleFontSize+'px'}" ng-bind="Schedule.Title"></div>
                            <div class="clung-panel__time" ng-style="{'color': element.ColorSetting.TimeColor,'font-size':element.DateTimeFontSize+'px'}" ng-repeat="ScheduleDayTime in Schedule.StrScheduleDaysTime" ng-bind="ScheduleDayTime"></div>
                            @*<div class="clung-panel__time">2:30-5pm</div>*@
                        </div>
                        <span class="clung-panel_best-value" ng-if="element.ShowBestValueForBeforeAfter==true && element.BestValueForBeforeAfter==Schedule.Mode" ng-style="{'font-size': element.BestValueFontSizeForBeforeAfter + 'px'}">
                            Best Value!
                        </span>
                    </header>
                    <div class="clung-panel__content" ng-style="{'border-color': element.ColorSetting.HeaderBackgroundColor,'background-color':'#f9f9f9'}">
                        <div class="clung-panel__date margin-bottom5" ng-bind="element.PaymentPriod"></div>
                        <div>
                            <p ng-repeat="Tuition in Schedule.Tuitions" style="white-space: nowrap; overflow: hidden; text-overflow: ellipsis;" title="{{Tuition.Label}} ........ {{Tuition.Price}}/{{Tuition.PaymentPriod}}"><span  ng-bind="Tuition.Label"></span> ............. <span ng-bind="'$'+'{{Tuition.Price}}/{{Tuition.PaymentPriod}}'"></span></p>
                        </div>
                        <a href="{{element.LinkToClassPage && element.LinkClassPageUrl || element.LinkUrl}}" class="clung-panel__button clung-panel__button_uppercase" ng-style="{'color': element.ColorSetting.ButtonTextColor,'background-color':element.ColorSetting.ButtonBackgroundColor}">Register</a>
                    </div>
                </div>
            </div>
            <div class="clearfix">
                <div class="description-programs" ng-repeat="Schedule in element.Schedules" ng-if="element.ShowBeforeAfterDescription">
                    <h2 class="description-programs__title" ng-bind="Schedule.Title"></h2>
                    <p ng-bind="Schedule.Description">

                    </p>
                </div>
            </div>

        </div>
        <div class="clearfix wrapper-panels" id="dropInPanels" dnd-nodrag ng-if="!element.IsBeforeAfter">
            <div ng-bind-html="element.MainDropInPunchcardDescription" class="clung-panel__description">

            </div>
            <div class="before-after-container">
                <div class="clung-panel col-md-4" style="padding-right:0;padding-left:0;float: initial; display: inline-block; display:flex;flex-direction: column; justify-content: space-between;" ng-style="{'background-color': element.ColorSetting.HeaderBackgroundColor}" ng-if="element.IsEnabeldDropIn">
                    <header class="clung-panel__header" >
                        <div style="width:100%" >
                            <div class="clung-panel__title" ng-style="{'color': element.ColorSetting.TitleColor,'font-size':element.TitleFontSize+'px'}" ng-bind="element.DropInInformation.Title"></div>
                            <div class="clung-panel__time" ng-style="{'color': element.ColorSetting.TimeColor,'font-size':element.DateTimeFontSize+'px'}" ng-repeat="time in element.DropInInformation.StrTimes" ng-bind="time"></div>
                            @*<div class="clung-panel__time"></div>*@
                        </div>
                        <span class="clung-panel_best-value" ng-if="element.ShowBestValueForDropInPunchcard==true && element.BestValueForDropInPunchcard=='DropIn'" ng-style="{'font-size': element.BestValueFontSizeForDropInPunchcard + 'px'}">
                            Best Value!
                        </span>
                    </header>
                  
                    <div class="clung-panel__content" ng-style="{'border-color': element.ColorSetting.HeaderBackgroundColor,'background-color':'#f9f9f9'}">
                        <div class="clung-panel__fee">
                            <span class="clung-panel__fee_price" ng-bind="'$'+'{{element.DropInInformation.Amount}}'"></span>
                            <span class="clung-panel__fee_per" ng-bind="element.DropInInformation.FeeLable"></span>
                        </div>
                        <div class="clearfix"></div>
                        <div style="width:100%;margin-top: 25px;">
                            <p ng-bind="element.DropInDescription">

                            </p>
                        </div>
                        <a href="{{element.LinkToClassPage && element.LinkClassPageUrl || element.DropInInformation.LinkUrl}}" class="clung-panel__button clung-panel__button_uppercase" ng-style="{'color': element.ColorSetting.ButtonTextColor,'background-color':element.ColorSetting.ButtonBackgroundColor}">Register</a>
                    </div>

                </div>
                <div class="clung-panel col-md-4" style="padding-right:0;padding-left:0;float: initial; display: inline-block; display:flex;flex-direction: column; justify-content: space-between;" ng-style="{'background-color': element.ColorSetting.HeaderBackgroundColor}" ng-if="element.IsEnabeldPunchcard">
                    <header class="clung-panel__header">
                        <div style="width:100%">
                            <div class="clung-panel__title" ng-style="{'color': element.ColorSetting.TitleColor,'font-size':element.TitleFontSize+'px'}" ng-bind="element.PunchcardInformation.Title"></div>
                            <div class="clung-panel__time" ng-style="{'color': element.ColorSetting.TimeColor,'font-size':element.DateTimeFontSize+'px'}" ng-repeat="time in element.PunchcardInformation.StrTimes" ng-bind="time"></div>
                            @*<div class="clung-panel__time">3:30 - 6 PM</div>*@
                        </div>
                        <span class="clung-panel_best-value" ng-if="element.ShowBestValueForDropInPunchcard==true && element.BestValueForDropInPunchcard=='Punchcard'" ng-style="{'font-size':element.BestValueFontSizeForDropInPunchcard + 'px'}">
                            Best Value!
                        </span>
                    </header>
                    
                    <div class="clung-panel__content" ng-style="{'border-color': element.ColorSetting.HeaderBackgroundColor,'background-color':'#f9f9f9'}">
                        <div class="clung-panel__fee">
                            <span class="clung-panel__fee_price" ng-bind="'$'+'{{element.PunchcardInformation.Amount}}'"></span>
                            <span class="clung-panel__fee_per" ng-bind="element.PunchcardInformation.FeeLable"></span>
                        </div>
                        <div class="clearfix"></div>
                        <div style="width:100%;margin-top: 25px;">
                            <p ng-bind="element.PunchcardDescription">

                            </p>
                        </div>
                        <a href="{{element.LinkToClassPage && element.LinkClassPageUrl || element.PunchcardInformation.LinkUrl}}" class="clung-panel__button clung-panel__button_uppercase" ng-style="{'color': element.ColorSetting.ButtonTextColor,'background-color':element.ColorSetting.ButtonBackgroundColor}">Register</a>
                    </div>

                </div>
            </div>

        </div>
    </div>


</script>



<script type="text/ng-template" id="JbPRegBtn.html">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>

    <div class="clearfix metro" dnd-nodrag ng-style="{'text-align': element.Alignment}">
        <button ng-style="{'color':element.RegBtnLabelColor,'background-color':element.RegBtnBackgroundColor}" type="button" ng-class="element.Size" data-dismiss="modal" ng-click="RedirectTo(element.SeasonDomain,tab)">{{element.Title}}</button>
    </div>

</script>

<script type="text/ng-template" id="JbPSection.html">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>
    <div class="clearfix" dnd-nodrag>
        <h4 class="title" ng-bind="element.Title"></h4>
        <ul class="columns clearfix list-unstyled"
            dnd-list="element.Columns"
            dnd-allowed-types="['JbPSectionColumn']"
            class="row">
            <li ng-repeat="column in element.Columns"
                dnd-type="column.Type"
                dnd-draggable="column"
                dnd-effect-allowed="move"
                dnd-moved="element.Columns.splice($index, 1)"
                dnd-dragstart="dragStart(column)"
                dnd-dragend="dragEnd(column)"
                ng-class="{'col-md-4': element.ColumnCount == 'Three', 'col-md-6': element.ColumnCount == 'Two'}">
                <div class="clearfix JbPSectionColumn" ng-class="{'element':if.isDesignMode()}">
                    <div class="actions" ng-if="if.isDesignMode()" ng-init="parent = element;item = column; list = element.Columns" ng-include="'elementsSharedActionbar.html'"></div>
                    <div class="clearfix" dnd-nodrag>
                        <h5 ng-bind="column.Title"></h5>
                        <ul class="reg-links list-unstyled"
                            dnd-list="column.RegLinks"
                            dnd-drop="regLinkDropedInSection(index, item,column.RegLinks)"
                            dnd-allowed-types="['JbPRegLink']"
                            style="min-height:100px;">
                            <li class="JbPRegLink"
                                ng-repeat="regLink in column.RegLinks | filter: {IsDeleted: false}"
                                dnd-type="regLink.Type"
                                dnd-draggable="regLink"
                                dnd-effect-allowed="move"
                                dnd-dragstart="dragStart(regLink)"
                                dnd-dragend="dragEnd(regLink)"
                                dnd-moved="column.RegLinks.splice($index, 1)"
                                ng-class="{'element':if.isDesignMode()}">
                                <div class="actions" ng-if="if.isDesignMode()" ng-init="parent=column;item = regLink; list = column.RegLinks" ng-include="'elementsSharedActionbar.html'"></div>
                                <span class="clearfix" dnd-nodrag>
                                    <div class="clearfix">
                                        <strong>{{regLink.Title}}</strong>
                                        <span ng-if="Model.Setting.ShowStatusLabels">
                                            <span ng-if="(Model.Setting.ShowLabelFullCapacity && !(Model.Setting.ShowLabelFrozen && regLink.IsFreeze)) && regLink.IsFull" class="label label-warning">Program is full</span>
                                            <span ng-if="(Model.Setting.ShowLabelNotStarted && !(Model.Setting.ShowLabelFrozen && regLink.IsFreezed) && !(regLink.IsFull && !regLink.IsFull)) && regLink.RegStatus == 'NotStarted'" class="label label-success">Registration starts on {{format('date', regLink.RegistrationPeriod.RegisterStartDate)}}.</span>
                                            <span ng-if="(Model.Setting.ShowLabelExpired && !(Model.Setting.ShowLabelFrozen && regLink.IsFreezed) && !(regLink.IsFull && !regLink.IsFull)) && regLink.RegStatus == 'Closed'" class="label label-danger">Program is expired.</span>
                                            <span ng-if="Model.Setting.ShowLabelFrozen && regLink.IsFreezed" class="label label-info">Program is frozen.</span>
                                        </span>

                                        <a ng-if="if.isDesignMode()" class="btn btn-reg btn-sm btn-success pull-right" ng-disabled="regLink.IsFull || regLink.RegStatus == 'NotStarted' || regLink.RegStatus == 'Closed' || regLink.IsFreezed" ng-bind="regLink.LinkTitle"></a>
                                        <a ng-if="!if.isDesignMode()" class="btn btn-reg btn-sm btn-success pull-right" ng-disabled="regLink.IsFull || regLink.RegStatus == 'NotStarted' || regLink.RegStatus == 'Closed' || regLink.IsFreezed" target="_blank" ng-href="{{regLink.LinkUrl}}" ng-bind="regLink.LinkTitle"></a>
                                    </div>
                                    <p class="clearfix" ng-if="regLink.AdditionalNote" ng-bind-html="regLink.AdditionalNote | unsafe"></p>
                                    @*to display this section just for existing program*@
                                    <span ng-if="!Model._Active.IsExternal">
                                        <div class="clearfix details" ng-if="regLink.ShowAgeRestrictions && format('age',{minAge:regLink.MinAge, maxAge:regLink.MaxAge})">Ages: {{format('age',{minAge:regLink.MinAge, maxAge:regLink.MaxAge})}}</div>
                                        <div class="clearfix details" ng-if="regLink.ShowGradeRestrictions && format('grade',{minGrade:regLink.MinGrade, maxGrade:regLink.MaxGrade})">Grades: {{format('grade',{minGrade:regLink.MinGrade, maxGrade:regLink.MaxGrade})}}</div>
                                        <div ng-if="regLink.ShowGenderRestrictions" ng-switch on="regLink.GenderRestrictions">
                                            <div ng-switch-when="Male">Boys only</div>
                                            <div ng-switch-when="Female">Girls only</div>
                                            <div ng-switch-when="BoyAndGirl">Boys and girls</div>
                                        </div>
                                        <div class="clearfix details" ng-if="regLink.ShowLocation" ng-bind="regLink.Location"></div>
                                        <div ng-if="regLink.ShowTuitionsPrices">
                                            <p ng-repeat="tuition in regLink.Tuitions">
                                                {{tuition.Label}}
                                                <span ng-if="regLink.ShowCapacityLeft && tuition.CapacityLeft != '' && tuition.CapacityLeft != 'null' && tuition.CapacityLeft != 'undefined'">
                                                    , {{tuition.CapacityLeft}}
                                                </span>
                                            </p>
                                        </div>
                                        <div class="clearfix details" ng-if="regLink.ShowRegistrationPeriod">Registration dates: {{format('date', regLink.RegistrationPeriod.RegisterStartDate)}} - {{format('date', regLink.RegistrationPeriod.RegisterEndDate)}}</div>
                                        <div class="clearfix details" ng-if="regLink.ShowStartEndDates">Program dates: {{format('date', regLink.StartDate)}} - {{format('date', regLink.EndDate)}}</div>
                                        @*<div class="clearfix details" ng-if="regLink.ShowCapacityLeft">Capacity left: {{regLink.CapacityLeft}}</div>*@

                                        <div ng-if="regLink.ShowDaysTimes && regLink.ProgramType !='SeminarTour' && regLink.ProgramType != 'ChessTournament'">
                                            <p ng-repeat="schedule in regLink.Schedules">
                                                <span ng-if="!regLink.HideDayTimesDate" {{$first ? '' 'class="clearfix"' }}>
                                                    {{format('date', schedule.StartDate)}} - {{format('date', schedule.EndDate)}}
                                                    <br />
                                                </span>
                                                <span ng-if="regLink.DaysTimesFormat =='DaysOnly'" ng-repeat="day in schedule.Days">
                                                    {{day.DayOfWeek}}{{$last ? '' : ', '}}
                                                </span>
                                                <span ng-if="regLink.DaysTimesFormat =='TimesOnly'" ng-repeat="day in schedule.Days">
                                                    {{day.StartTime}} - {{day.EndTime}}{{$last ? '' : ', '}}
                                                </span>
                                                <span ng-if="regLink.DaysTimesFormat =='DaysTimes'" ng-repeat="day in schedule.Days">
                                                    {{day.DayOfWeek}} ({{day.StartTime}} - {{day.EndTime}}){{$last ? '' : ', '}}
                                                </span>

                                            </p>
                                        </div>
                                    </span>


                    </div>
            </li>
            <li ng-if="column.RegLinks.length == 0 && if.isDesignMode()" class="JbPRegLink add-new">
                Drag program here to add new item
            </li>
        </ul>
    </div>
    </div>
    </li>
    <li ng-if="element.Columns.length <= 2 && if.isDesignMode()" class="JbPSectionColumn clearfix add-new" ng-click="addSectionColumn(element)">
        <div class="JbPSectionColumn clearfix add-new">
            + New column
        </div>
    </li>
    </ul>
    </div>
</script>

<script type="text/ng-template" id="JbPGrid.html">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>
    <div class="clearfix" dnd-nodrag>
        <h4 class="title" ng-bind="element.Title"></h4>
        <table ng-class="['table','responsive-table',element.Width,element.Align]">
            <thead ng-if="element.RegLinks.length > 0">
                <tr>
                    <th>Program</th>
                    <th ng-if="element.ShowRestrictions && !element.IsExternal">Restrictions</th>
                    <th ng-if="element.ShowLocations && !element.IsExternal">Location</th>
                    <th ng-if="element.ShowDaysTimes">Days/Times</th>
                    <th ng-if="element.ShowStartEndDates">Dates</th>
                    <th ng-if="element.ShowRegistrationPeriod">Registration dates</th>
                    <th ng-if="element.ShowTuitionsPrices">Tuitions/Prices</th>
                    <th ng-if="element.ShowAdditionalNotes">Additional note</th>
                    <th></th>
                </tr>
            </thead>
            <tbody dnd-list="element.RegLinks"
                   dnd-allowed-types="['JbPRegLink']"
                   dnd-drop="regLinkDropedInGrid(index, item, element.RegLinks, element)">
                <tr ng-repeat="regLink in element.RegLinks | filter: {IsDeleted: false}"
                    dnd-type="regLink.Type"
                    dnd-draggable="regLink"
                    dnd-effect-allowed="move"
                    dnd-dragstart="dragStart(regLink)"
                    dnd-dragend="dragEnd(regLink)"
                    dnd-moved="element.RegLinks.splice($index, 1)"
                    class="JbPRegLink" ng-class="{'element':if.isDesignMode()}">

                    <td class="name">
                        <div class="actions" ng-if="if.isDesignMode()" ng-init="item = regLink; list = element.RegLinks; parent = element" ng-include="'elementsSharedActionbar.html'"></div>
                        <span dnd-nodrag ng-bind="regLink.Title"></span>
                    </td>

                    <td ng-if="element.ShowRestrictions" class="restrictions">
                        <div ng-switch="regLink.GenderRestrictions" ng-if="!element.RegLinks[$index].IsExternal">
                            <p ng-switch-when="Male">Boys only</p>
                            <p ng-switch-when="Female">Girls only</p>
                            <p ng-switch-when="BoyAndGirl">Boys and girls</p>
                        </div>
                        <p ng-if="format('grade',{minGrade:regLink.MinGrade, maxGrade:regLink.MaxGrade})">Grades: {{format('grade',{minGrade:regLink.MinGrade, maxGrade:regLink.MaxGrade})}}</p>
                        <p ng-if="format('age',{minAge:regLink.MinAge, maxAge:regLink.MaxAge})">Ages: {{format('age',{minAge:regLink.MinAge, maxAge:regLink.MaxAge})}}</p>
                    </td>

                    <td ng-if="element.ShowLocations && !element.RegLinks[$index].IsExternal" ng-bind="regLink.Location" class="location">
                        <span>Location</span>
                    </td>
                    <td ng-if="element.ShowLocations && element.RegLinks[$index].IsExternal" class="location"></td>

                    <td ng-if="element.ShowDaysTimes" class="days-times">

                        <span ng-if="regLink.ProgramType !='SeminarTour' && regLink.ProgramType != 'ChessTournament' && !element.RegLinks[$index].IsExternal">
                            <span ng-repeat="schedule in regLink.Schedules">
                                <br ng-if="!$first" />
                                <span ng-if="!element.HideDayTimesDate">
                                    {{format('date', schedule.StartDate)}} - {{format('date', schedule.EndDate)}}
                                    <br />
                                </span>
                                <span ng-if="element.DaysTimesFormat =='DaysOnly'" ng-repeat="day in schedule.Days">
                                    {{day.DayOfWeek}}{{$last ? '' : ', '}}
                                </span>
                                <span ng-if="element.DaysTimesFormat =='TimesOnly'" ng-repeat="day in schedule.Days">
                                    {{day.StartTime}} - {{day.EndTime}}{{$last ? '' : ', '}}
                                </span>
                                <span ng-if="element.DaysTimesFormat =='DaysTimes'" ng-repeat="day in schedule.Days">
                                    {{day.DayOfWeek}} ({{day.StartTime}} - {{day.EndTime}}){{$last ? '' : ', '}}
                                </span>

                            </span>
                        </span>
                    </td>

                    <td ng-if="element.ShowStartEndDates" class="start-end-dates">
                        <span ng-if="!element.RegLinks[$index].IsExternal">
                            {{format('date',regLink.StartDate)}} - {{format('date',regLink.EndDate)}}
                        </span>
                    </td>

                    <td ng-if="element.ShowRegistrationPeriod" class="registration-period">
                        <p ng-if="!element.RegLinks[$index].IsExternal">{{format('date',regLink.RegistrationPeriod.RegisterStartDate)}} - {{format('date',regLink.RegistrationPeriod.RegisterEndDate)}}</p>
                    </td>

                    <td ng-if="element.ShowTuitionsPrices" class="tuitions-prices">
                        <p ng-if="!element.RegLinks[$index].IsExternal" ng-repeat="tuition in regLink.Tuitions">
                            {{tuition.Label}}
                            <span ng-if="element.ShowCapacityLeft && tuition.CapacityLeft != '' && tuition.CapacityLeft != 'null' && tuition.CapacityLeft != 'undefined'">
                                , {{tuition.CapacityLeft}}
                            </span>
                        </p>
                    </td>

                    <td ng-if="element.ShowAdditionalNotes" class="additional-notes">
                        <span>{{regLink.AdditionalNote}}</span>
                    </td>

                    <td class="reg">
                        <div class="actions" ng-if="if.isDesignMode()" ng-init="item = regLink; list = element.RegLinks; parent = element" ng-include="'elementsSharedActionbar.html'"></div>
                        <a ng-if="element.ProgramRegBtnLinkTo=='ClassPage' || regLink.IsExternal" target="{{if.isDesignMode()?'_self':'_blank'}}" ng-href="{{if.isDesignMode()?'':regLink.LinkUrl}}" dnd-nodrag class="btn btn-sm btn-reg btn-success pull-right" ng-bind="regLink.LinkTitle"></a>
                        <a ng-if="element.ProgramRegBtnLinkTo=='RegisterationPage' && !regLink.IsExternal" target="{{if.isDesignMode()?'_self':'_blank'}}" ng-href="{{if.isDesignMode()?'':(regLink.LinkUrl + '/Register')}}" dnd-nodrag class="btn btn-sm btn-reg btn-success pull-right" ng-bind="regLink.LinkTitle"></a>
                    </td>
                </tr>
                <tr class="dndPlaceholder JbPRegLink">
                    <td colspan="7">&nbsp;</td>
                </tr>
                <tr ng-if="element.RegLinks.length == 0 && if.isDesignMode()" class="add-new JbPRegLink">
                    <td colspan="7">
                        <div>
                            Drag program here to add new items
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <div class="clearfix"></div>
    </div>
</script>

<script type="text/ng-template" id="JbPSeasonGrid.html" ng-if="if.isDesignMode()">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>
    <div class="clearfix" dnd-nodrag>
        <h4 class="title" ng-bind="element.Title"></h4>

        <div ng-if="element.GridLayoutType=='Agenda'" id="Sched_{{element.ElementId}}" class="season-grid-scheduler" kendo-scheduler k-options="schedulerOptions[element.ElementId]" ng-init="seasonGridCalendarDataSource(element)">
            <span k-event-template class='custom-event'>{{dataItem.title}}</span>
            <div k-all-day-event-template class='custom-all-day-event'>{{dataItem.title}}</div>
        </div>


        <div ng-if="element.GridLayoutType=='Calendar'" id="Sched_{{element.ElementId}}" class="season-grid-scheduler" kendo-scheduler k-options="schedulerOptions[element.ElementId]" ng-init="seasonGridCalendarDataSource(element)">
            <span k-event-template class='custom-event'>{{dataItem.title}}</span>
            <div k-all-day-event-template class='custom-all-day-event'>{{dataItem.title}}</div>
        </div>

        <div ng-if="element.GridLayoutType!='Calendar' && element.GridLayoutType!='Agenda'" style="width:100%;" class="season-grid-table">
            <div ng-if="element.GridLayoutType=='Weekly' && element.ShowRegistrationBtnTop" class="clearfix metro ng-scope" dnd-nodrag="" ng-style="{'text-align': element.SeasonRegBtnAlignment,'margin':'5px 0 5px 0'}" draggable="true" style="text-align: center;">
                <button ng-style="{'color':element.SeasonRegBtnLabelColor,'background-color':element.SeasonRegBtnBackgroundColor}" type="button" ng-class="element.SeasonRegBtnSize" data-dismiss="modal" ng-click="RedirectTo(element.SeasonDomain,tab)" class="ng-binding large" style="color: rgb(255, 255, 255); background-color: rgb(96, 169, 23);" ng-bind="element.SeasonRegBtnTitle">Express Register</button>
            </div>
            <div id="Grid_{{element.ElementId}}" data-gridtracker="on" kendo-grid k-options="gridOptions[element.ElementId]" ng-init="gridDataSource(element)" class="grid-vertical-top grid-header-sticky season-grid">

            </div>
            <div ng-if="element.GridLayoutType=='Weekly' && element.ShowRegistrationBtnBottom" class="clearfix metro ng-scope" dnd-nodrag="" ng-style="{'text-align': element.SeasonRegBtnAlignment,'margin':'5px 0 5px 0'}" draggable="true" style="text-align: center;">
                <button ng-style="{'color':element.SeasonRegBtnLabelColor,'background-color':element.SeasonRegBtnBackgroundColor}" type="button" ng-class="element.SeasonRegBtnSize" data-dismiss="modal" ng-click="RedirectTo(element.SeasonDomain,tab)" class="ng-binding large" style="color: rgb(255, 255, 255); background-color: rgb(96, 169, 23);" ng-bind="element.SeasonRegBtnTitle">Express Register</button>
            </div>
        </div>

    </div>

</script>

<script type="text/ng-template" id="JbPContact.html" ng-if="if.isDesignMode()">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>
    <div class="clearfix" dnd-nodrag ng-style="{'background-color': element.ContactBackgroundColor}">
        <div class="col-md-3 col-md-height col-md-middle contact-box">
            @*<h4 class="title" ng-bind="element.Title"></h4>*@
            @*<h6 ng-if="element.Email">Email: <span ng-bind="element.Email"></span></h6>
                <h6 ng-if="element.Phone">Phone number: <span ng-bind="format('phone',element.Phone)"></span></h6>
                <h6 ng-if="element.Website">Website: <span ng-bind="element.Website"></span></h6>
                <h6 ng-if="element.Address">Address: <span ng-bind-html="format('address',element.Address) | unsafe"></span></h6>*@
            <p ng-if="element.Contact"><span ng-bind-html="element.Contact | unsafe"></span></p>
        </div>

    </div>
</script>

<script type="text/ng-template" id="JbPMap.html" ng-if="if.isDesignMode()">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>
    <div class="clearfix" dnd-nodrag>
        <h4 class="title" ng-bind="element.Title"></h4>

        <div ng-showb="AvailableAddress" id="e_{{element.ElementId}}" ng-init="map(element.ElementId)" style="width: 100%; height: 250px;">

        </div>

    </div>
</script>


<script type="text/ng-template" id="JbPImageGallery.html">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>

    <div class="clearfix" dnd-nodrag>
        <section class="section-image-gallery">
            <h2>{{element.Title}}</h2>
            <div class="box-gallery-images" ng-repeat="image in element.Images">
                <a ng-click="showModalGallery($index,element.Images)" class="gallery-image-pic" href="#" style="background-image: url('{{image.smallImage}}');"></a>
                <span ng-if="image.Title" title="{{image.Title}}" class="gallery-image-title">{{image.Title}}</span>
            </div>

        </section>
    </div>
</script>
<script type="text/ng-template" id="JbPImageSlider.html">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements; " ng-include="'elementsSharedActionbar.html'"></div>

    <div class="clearfix" style="margin:0 -20px;" dnd-nodrag>



        <div class="jb-slider" ng-init="initializeSlider(element)">

            <div ng-repeat="image in element.Images" ng-show="image.Show" class="slider-slide animate-show-hide ng-hide" ng-mouseenter="element.Stop()" ng-mouseleave="element.Start()">
                <span class="slider-image" style="background-image:url('{{image.largeImage}}')"></span>
                <div class="title-slide" ng-if="image.Title" title="{{image.Title}}" ng-bind="image.Title"></div>
            </div>

            <span class="prev-slide" ng-click="element.Previuos()" ng-mouseenter="element.Stop()">&#10094;</span>
            <span class="next-slide" ng-click="element.Next()" ng-mouseenter="element.Stop()">&#10095;</span>


        </div>

    </div>
</script>
<script type="text/ng-template" id="JbPSeasonCalendar.html" ng-if="if.isDesignMode()">
    <div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>
    <div class="clearfix" dnd-nodrag>
        <h4 class="title" ng-bind="element.Title"></h4>

        @*<div class="actions" ng-if="if.isDesignMode()" ng-init="item = element; list = tab.Elements" ng-include="'elementsSharedActionbar.html'"></div>*@

        <div class="k-filter-container" ng-show="element.ShowGrade">
            @*<h4>Filter</h4>*@
            <div class="dis-table k-filter-table one-half">
                <div class="dis-row k-filter-row">
                    <div class="dis-cell">
                        <select class="program-grade-select" kendo-combo-box id="ProgramGrade" k-data-text-field="'Text'" k-data-value-field="'Value'" k-data-source="ProgramGrades" ng-model="element.selectedGrade" multiple>
                            @*<option ng-repeat="grade in ProgramGrades" ng-value="grade.Value" ng-bind="grade.Text"></option>*@
                        </select>
                    </div>
                    <div class="dis-cell">
                        <button class="btn btn-builder" id="ProgramGradeBtn" ng-click="programFilter(element.ElementId)">Filter by Grade</button>
                    </div>                
                </div>
            </div>
        </div>

        <div id="Sched_{{element.ElementId}}" kendo-scheduler k-options="schedulerOptions[element.ElementId]" ng-init="calendarDataSource(element)">
            <span k-event-template class='custom-event'>{{dataItem.title}}</span>
            <div k-all-day-event-template class='custom-all-day-event'>{{dataItem.title}}</div>
        </div>

    </div>
</script>

<script id="gridAgendaProgramTemplate" type="text/x-kendo-template">

    <table border="0" class="calender-grid-coulumns">
        <tr ng-if="element.ShowProgramColumn">
            <td>Program</td>
            <td> <span ng-click='viewClass("#=DisplayUrl#","#=programType#","#=ProgramId#","#=EnablePopUp#")' style="color:blue;cursor:pointer"> #=title # </span></td>
        </tr>
        <tr>
            <td><span ng-if="element.ShowPriceColumn">Price</span></td>
            <td ng-bind-html='priceCapacitySpotsFormat(#=JSON.stringify(Classfee)#,element.ShowCapacityColumn,element.ShowCapacityLeftColumn,element.ShowPriceColumn,"#=programType#")'></td>
        </tr>

        <tr ng-if="element.ShowStatusColumn">
            <td>Status</td>
            <td>#=ProgramRegStatus#</td>
        </tr>
        <tr ng-if="element.ShowGradeAgeColumn">
            <td>Grade & age restriction</td>
            <td>#=GradeAge#</td>
        </tr>
        <tr ng-if="element.ShowRestrictionsColumn">
            <td>Gender restriction</td>
            <td>#=GenderRestrictions#</td>
        </tr>
        <tr ng-if="element.ShowRoomColumn">
            <td>Room </td>
            <td>#=Room#</td>
        </tr>
        <tr ng-if="element.ShowLocationColumn">
            <td>Location</td>
            <td>#=Location#</td>
        </tr>
        <tr ng-if="element.ShowDaysTimesColumn">
            <td>Day & time</td>
            <td>#=DaysTimes#</td>
        </tr>
        <tr ng-if="element.ShowDatesColumn">
            <td>Program dates</td>
            <td>#=Dates#</td>
        </tr>
        <tr ng-if="element.ShowRegistrationDatesColumn">
            <td>Registration dates</td>
            <td>#=RegistrationPeriod#</td>
        </tr>
        <tr ng-if="element.ShowProviderColumn">
            <td>Provider</td>
            <td>#=Provider#</td>
        </tr>
        <tr ng-if="element.ShowInstructorsColumn">
            <td>Instructor</td>
            <td><div ng-bind-html='arrayValuesFormat(#=JSON.stringify(Instructors)#,"span-block","Instructors")'></div></td>
        </tr>
        <tr ng-if="element.ShowRegistrationColumn">
            <td>Program registration button  </td>
            <td>
                <a href='# if(ProgramRegBtnLinkTo=="RegisterationPage" ) { # #=SingleRegisterUrl#/Register # } else{# #=SingleRegisterUrl# #} #' target='_blank' class='btn btn-success btn-xs' style='text-transform: initial;color:#=ProgramRegBtnLabelColor#;background-color:#=ProgramRegBtnBackgroundColor#'>#=ProgramRegBtnTitle#</a>
            </td>
        </tr>
    </table>




</script>
<script id="SchedTemplate" type="text/x-kendo-template" style="background: blue;">
    # var bgColor = []; #
    # bgColor["Class"] = "rgb(218,242,204)"; #
    # bgColor["Camp"] = "rgb(218,242,72)"; #
    # bgColor["ChessTournament"] = "rgb(120,250,100)"; #
    # bgColor["Calendar"] = "rgb(218,242,150)"; #
    # bgColor["SeminarTour"] = "rgb(120,192,150)"; #
    
    
   
        <div style="height: 100%;width:100%;font-size: 10px;padding: 2px;color: black;background-color: #=bgColor[programType]#">
            <div>
                # if (isAllDay) { #
                # } else { #
                #= kendo.toString(start, "h:mm") #-#= kendo.toString(end, "h:mm") #
                # }  #
            </div>

            <div>#= title #</div>

            <div ng-show="element.ShowGradeInformation">
                # var minGrade = ""; #
                # var maxGrade = ""; #

                #if(scheduleMinGrade != 0){ minGrade = scheduleMinGrade; } else { minGrade = ""; }#
                #if(scheduleMaxGrade != 0){ maxGrade = scheduleMaxGrade; } else { maxGrade = ""; }#

                #if(minGrade != "Not in school" && maxGrade != "College"){#
                #=minGrade#
                #if(maxGrade && minGrade) { #-# } #
                #=maxGrade#
                #}#
            </div>
        </div>

</script>
<script id="gridCalendarProgramTemplate" type="text/x-kendo-template" style="background: blue;">
    # var bgColor = []; #
    # bgColor["Class"] = "rgb(218,242,204)"; #
    # bgColor["Camp"] = "rgb(218,242,72)"; #
    # bgColor["ChessTournament"] = "rgb(120,250,100)"; #
    # bgColor["Calendar"] = "rgb(218,242,150)"; #
    # bgColor["SeminarTour"] = "rgb(120,192,150)"; #


    <a target="_blank" href='# if(ProgramRegBtnLinkTo=="RegisterationPage" ) { # #=SingleRegisterUrl#/Register # } else{# #=SingleRegisterUrl# #} #'>
        <div style="height: 100%;width:100%;font-size: 10px;padding: 2px;" ng-style="{'background-color':element.CalenderProgramBackgroundColor,'color':element.CalenderProgramTextColor}">
            <div>
                # if (isAllDay) { #
                # } else { #
                #= kendo.toString(start, "h:mm") #-#= kendo.toString(end, "h:mm") #
                # }  #
                #= title #
            </div>



            <div ng-show="element.ShowGradeInformation">
                # var minGrade = ""; #
                # var maxGrade = ""; #

                #if(scheduleMinGrade != 0){ minGrade = scheduleMinGrade; } else { minGrade = ""; }#
                #if(scheduleMaxGrade != 0){ maxGrade = scheduleMaxGrade; } else { maxGrade = ""; }#

                #if(minGrade != "Not in school" && maxGrade != "College"){#
                #=minGrade#
                #if(maxGrade && minGrade) { #-# } #
                #=maxGrade#
                #}#
            </div>
        </div>
    </a>

</script>